Deactivate Private iPXE boot feature for a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/features/private_ipxe_boot/deactivate

A POST request to /v1/hosts/dedicated_servers/{server_id}/features/private_ipxe_boot/activate deactivates the Private iPXE boot feature. Learn more in the iPXE Boot section.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a dedicated server.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/Mvbm8naY/features/private_ipxe_boot/deactivate"
{  "name": "private_ipxe_boot",  "status": "activated"}
{  "message": "Incompatible feature state",  "code": "INCOMPATIBLE_FEATURE_STATE"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}